Description

Hi !

Using Audacious v3.6.2 on Archlinux 64 bits, I think the behavior of the output of audtool is abnormal. Let me explain. We can take

the output of audtool like this :

audtool --current-song

audtool --current-song-output-length

audtool --current-song-length

1/ On audacious, with two tabs containing at least one file (with id3 tags each), just play one the file.

=> Check the output of the three audtool line just above => informations OK.

2/ While playing this file, just change tab, without playing another file.

=> Check the output of the three audtool line just above => informations of --current-song are those of the file that is selected and not

the one that is playing ! The two others (--current-song-output-length and --current-song-length) are still OK.

I think the output of --current-song should be the one of the playing file and not the one selected on other tabs. Or there should be

another args that should tell us that it's the selected one or the playing one that is returned.

What do you think about that ?

Thanks.

History

#1 - July 05, 2015 19:18 - John Lindgren

In Audacious, we have separate concepts of the "playing" and "active" (i.e. displayed) playlist, and I agree that audtool does not behave well in the

case where these are different.  So I propose making a new, consistent definition of the "current" playlist for audtool, which would change the

behavior of the following commands:

       --current-playlist

              Prints the number of the current playlist.  When a song is playing, the current playlist is defi

ned  as

              the playlist containing that song.  Otherwise, it is the playlist currently displayed in Audacio

us.

       --play-current-playlist

              Starts  or  unpauses  playback.  Unlike --playback-play, this command resumes from the last posi

tion if

              possible.  If playback is already active and not paused, there is no effect.

       --set-current-playlist playlist

              Displays the given playlist in Audacious.  Playback, if active, will also switch to this playlis

t as if

              --play-current-playlist were used.

July 13, 2025 1/2



#2 - July 05, 2015 19:19 - John Lindgren

- Tracker changed from Feature to Bug

- Subject changed from audtool behavior to Inconsistent audtool behavior regarding "current" playlist

#3 - July 05, 2015 19:19 - John Lindgren

- Affects version 3.6.2 added

#4 - July 06, 2015 06:38 - John Lindgren

- Status changed from New to Closed

- Target version set to 3.7

- % Done changed from 0 to 100

Fixed in Git.
